com.trendmicro.ds.platform.rest.object.au

## Class ComponentInfoElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.au.ComponentInfoElement

-     public class ComponentInfoElement
      extends java.lang.Object

  Container for the component detail information
  Author:
    winfred_lin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentInfoElement()`
    `ComponentInfoElement(int type, int id, java.lang.String name, java.lang.String shortName, java.lang.String currentVersion, java.util.Calendar lastUpdate, java.lang.String nameKey, int deployed, int needDeployed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrentVersion()`
    `int` | `getDeployed()`
    `int` | `getId()`
    `java.util.Calendar` | `getLastUpdate()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNameKey()`
    `int` | `getNeedDeployed()`
    `java.lang.String` | `getShortName()`
    `int` | `getType()`
    `void` | `setCurrentVersion(java.lang.String currentVersion)`
    `void` | `setDeployed(int deployed)`
    `void` | `setId(int id)`
    `void` | `setLastUpdate(java.util.Calendar lastUpdate)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNameKey(java.lang.String nameKey)`
    `void` | `setNeedDeployed(int needDeployed)`
    `void` | `setShortName(java.lang.String shortName)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentInfoElement

          public ComponentInfoElement()

    - #### ComponentInfoElement

          public ComponentInfoElement(int type,
                                      int id,
                                      java.lang.String name,
                                      java.lang.String shortName,
                                      java.lang.String currentVersion,
                                      java.util.Calendar lastUpdate,
                                      java.lang.String nameKey,
                                      int deployed,
                                      int needDeployed)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getShortName

          public java.lang.String getShortName()

    - #### setShortName

          public void setShortName(java.lang.String shortName)

    - #### getCurrentVersion

          public java.lang.String getCurrentVersion()

    - #### setCurrentVersion

          public void setCurrentVersion(java.lang.String currentVersion)

    - #### getLastUpdate

          public java.util.Calendar getLastUpdate()

    - #### setLastUpdate

          public void setLastUpdate(java.util.Calendar lastUpdate)

    - #### getNameKey

          public java.lang.String getNameKey()

    - #### setNameKey

          public void setNameKey(java.lang.String nameKey)

    - #### getDeployed

          public int getDeployed()

    - #### setDeployed

          public void setDeployed(int deployed)

    - #### getNeedDeployed

          public int getNeedDeployed()

    - #### setNeedDeployed

          public void setNeedDeployed(int needDeployed)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.